%define archivename     MgOpen
%define fontdir         %{_datadir}/fonts/mgopen
%define upstream_date   20050515

Name:      mgopen-fonts
Version:   0.%{upstream_date}
Release:   1
Summary:   Truetype greek fonts
Group:     User Interface/X
License:   Redistributable, with restrictions
URL:       http://www.ellak.gr/fonts/mgopen/
Source0:   %{archivename}-%{upstream_date}.tar.gz
# Upstream tarball is not versioned http://www.ellak.gr/fonts/mgopen/files/%{archivename}.tar.gz
Source1:   %{archivename}-%{upstream_date}-doc.tar.gz
# Tarball of the documentation on the site http://www.ellak.gr/fonts/mgopen/
# The LICENCE file is an excerpt from the html page
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch


%description
The MgOpen fonts are a font family that includes Latin and Greek glyphs.
The fonts have been released under a liberal license, similar to the
license covering the Bitstream Vera fonts.


%prep
%setup -q -c -a1 -n %{archivename}-%{version}

%build

%install
/bin/rm -rf $RPM_BUILD_ROOT

#fonts
install -d -m 0755 $RPM_BUILD_ROOT%{fontdir}
install -m 0644 *.ttf  $RPM_BUILD_ROOT%{fontdir}

# "touch" all files we've got flagged as %ghost  but which are not 
# present in the RPM_BUILD_ROOT when RPM looks for files
/bin/touch $RPM_BUILD_ROOT%{fontdir}/fonts.cache-1


%clean
/bin/rm -rf $RPM_BUILD_ROOT


%post
if [ -x %{_bindir}/fc-cache ]; then 
  %{_bindir}/fc-cache %{_datadir}/fonts
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then 
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi


%files
%defattr(0644,root,root,0755)
%doc LICENCE mgopen.html _files/
%dir %{fontdir}
%{fontdir}/*.ttf
%ghost %{fontdir}/fonts.cache-1


%changelog
* Thu Jul  6 2005 Sarantis Paskalis <paskalis@di.uoa.gr> 0.20050515-1
- Fix spelling in the description.  Import it to Fedora Extras.

* Tue Jun 14 2005 Sarantis Paskalis <paskalis@di.uoa.gr>
- Use date-versioned sources

* Wed May 25 2005 Sarantis Paskalis <paskalis@di.uoa.gr>
- Initial package spec (based on bitstream-vera-fonts)
